Межсайтовый скриптинг в Ruby on Rails

Дата публикации:
18.06.2007
Дата изменения:
18.12.2007
Всего просмотров:
1889
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3227
CVE-2007-5379
CVE-2007-5380
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Ruby on Rails 1.x
Уязвимые версии: Ruby on Rails 1.2.3, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в функции "to_json". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за ошибки в ActiveResource при обработке ответов с использованием функции "Hash.from_xml". Удаленный пользователь может получить данные о наличии файла и просмотреть содержимое произвольных XML файлов.

URL производителя: www.rubyonrails.org

Решение: Установите последнюю версию 1.2.5 с сайта производителя.

Журнал изменений:

18.12.2007
Добавлено описание уязвимости #2.
Изменены данные в секции «Решение».

или введите имя

CAPTCHA